Subject: incremental fast-import and marks (Re: I have end-of-lifed cvsps)

From: Jonathan Nieder <[email-masked]>
Date: Wed, 18 Dec 2013 08:23:34 -0800

Jakub Narebski wrote:

> It is a bit strange that markfile has explicitly SHA-1 (":markid <SHA-1>"),
> instead of generic reference to commit, in the case of CVS it would be
> commitid (what to do for older repositories, though?), in case of Bazaar
> its revision id (GUID), etc.

Usually importers use at least two separate files to save state, one
mapping between git object names and mark numbers, and the other mapping
between native revision identifiers and mark numbers.  That way,
when the importer uses marks to refer to previously imported commits or
blobs, fast-import knows what commits or blobs it is talking about.